require '_h2ph_pre.ph';

no warnings qw(redefine misc);

require 'sys/bus.ph';
unless(defined(&psc_reg1)) {
    sub psc_reg1 {
	my($r) = @_;
	eval q((*(( &volatile  &u_int8_t *)( &PSCBase+$r))));
    }
}
unless(defined(&psc_reg2)) {
    sub psc_reg2 {
	my($r) = @_;
	eval q((*(( &volatile  &u_int16_t *)( &PSCBase+$r))));
    }
}
unless(defined(&psc_reg4)) {
    sub psc_reg4 {
	my($r) = @_;
	eval q((*(( &volatile  &u_int32_t *)( &PSCBase+$r))));
    }
}
eval 'sub PSC_ISR_BASE () {0x100;}' unless defined(&PSC_ISR_BASE);
eval 'sub PSC_IER_BASE () {0x104;}' unless defined(&PSC_IER_BASE);
eval 'sub PSC_LEV3_ISR () {0x130;}' unless defined(&PSC_LEV3_ISR);
eval 'sub PSC_LEV3_IER () {0x134;}' unless defined(&PSC_LEV3_IER);
eval 'sub PSCINTR_ENET () {0;}' unless defined(&PSCINTR_ENET);
eval 'sub PSC_LEV4_ISR () {0x140;}' unless defined(&PSC_LEV4_ISR);
eval 'sub PSC_LEV4_IER () {0x144;}' unless defined(&PSC_LEV4_IER);
eval 'sub PSCINTR_SCCA () {1;}' unless defined(&PSCINTR_SCCA);
eval 'sub PSCINTR_SCCB () {2;}' unless defined(&PSCINTR_SCCB);
eval 'sub PSCINTR_ENET_DMA () {3;}' unless defined(&PSCINTR_ENET_DMA);
eval 'sub PSC_LEV5_ISR () {0x150;}' unless defined(&PSC_LEV5_ISR);
eval 'sub PSC_LEV5_IER () {0x154;}' unless defined(&PSC_LEV5_IER);
eval 'sub PSC_LEV6_ISR () {0x160;}' unless defined(&PSC_LEV6_ISR);
eval 'sub PSC_LEV6_IER () {0x164;}' unless defined(&PSC_LEV6_IER);
eval 'sub PSC_CTLBASE () {0xc00;}' unless defined(&PSC_CTLBASE);
eval 'sub PSC_SCSI_CTL () {0xc00;}' unless defined(&PSC_SCSI_CTL);
eval 'sub PSC_ENETRD_CTL () {0xc10;}' unless defined(&PSC_ENETRD_CTL);
eval 'sub PSC_ENETWR_CTL () {0xc20;}' unless defined(&PSC_ENETWR_CTL);
eval 'sub PSC_FDC_CTL () {0xc30;}' unless defined(&PSC_FDC_CTL);
eval 'sub PSC_SCCA_CTL () {0xc40;}' unless defined(&PSC_SCCA_CTL);
eval 'sub PSC_SCCB_CTL () {0xc50;}' unless defined(&PSC_SCCB_CTL);
eval 'sub PSC_SCCATX_CTL () {0xc60;}' unless defined(&PSC_SCCATX_CTL);
eval 'sub PSC_ADDRBASE () {0x1000;}' unless defined(&PSC_ADDRBASE);
eval 'sub PSC_LENBASE () {0x1004;}' unless defined(&PSC_LENBASE);
eval 'sub PSC_CMDBASE () {0x1008;}' unless defined(&PSC_CMDBASE);
eval 'sub PSC_SCSI_ADDR () {0x1000;}' unless defined(&PSC_SCSI_ADDR);
eval 'sub PSC_SCSI_LEN () {0x1004;}' unless defined(&PSC_SCSI_LEN);
eval 'sub PSC_SCSI_CMD () {0x1008;}' unless defined(&PSC_SCSI_CMD);
eval 'sub PSC_ENETRD_ADDR () {0x1020;}' unless defined(&PSC_ENETRD_ADDR);
eval 'sub PSC_ENETRD_LEN () {0x1024;}' unless defined(&PSC_ENETRD_LEN);
eval 'sub PSC_ENETRD_CMD () {0x1028;}' unless defined(&PSC_ENETRD_CMD);
eval 'sub PSC_ENETWR_ADDR () {0x1040;}' unless defined(&PSC_ENETWR_ADDR);
eval 'sub PSC_ENETWR_LEN () {0x1044;}' unless defined(&PSC_ENETWR_LEN);
eval 'sub PSC_ENETWR_CMD () {0x1048;}' unless defined(&PSC_ENETWR_CMD);
eval 'sub PSC_SET0 () {0x;}' unless defined(&PSC_SET0);
eval 'sub PSC_SET1 () {0x10;}' unless defined(&PSC_SET1);
eval 'sub PSC_DMA_CHANNEL_SCSI () {0;}' unless defined(&PSC_DMA_CHANNEL_SCSI);
eval 'sub PSC_DMA_CHANNEL_ENETRD () {1;}' unless defined(&PSC_DMA_CHANNEL_ENETRD);
eval 'sub PSC_DMA_CHANNEL_ENETWR () {2;}' unless defined(&PSC_DMA_CHANNEL_ENETWR);
eval 'sub PSC_DMA_CHANNEL_FDC () {3;}' unless defined(&PSC_DMA_CHANNEL_FDC);
eval 'sub PSC_DMA_CHANNEL_SCCA () {4;}' unless defined(&PSC_DMA_CHANNEL_SCCA);
eval 'sub PSC_DMA_CHANNEL_SCCB () {5;}' unless defined(&PSC_DMA_CHANNEL_SCCB);
eval 'sub PSC_DMA_CHANNEL_SCCATX () {6;}' unless defined(&PSC_DMA_CHANNEL_SCCATX);
1;
